import request from '@/utils/request'

// 销量统计-扇形图
export function getDealNumSector() {
  return request({
    url: '/statistical/salesstatisticsnumfan',
    method: 'get'
  })
}

/*
 * 销量统计-柱形图
 * @params{String} data year 年{2020}
 */
export function getDealNumShape(data) {
  return request({
    url: '/statistical/salesstatisticsnumcyl',
    method: 'get',
    params: data
  })
}

/*
 * 销量统计-折图
 * @params{String} data month 月{2020-01}
 */
export function getDealNumLine(data) {
  return request({
    url: '/statistical/salesstatisticsnumline',
    method: 'get',
    params: data
  })
}

// 销售额统计-扇形图
export function getDealPriceSector() {
  return request({
    url: '/statistical/salesstatisticsfan',
    method: 'get'
  })
}

/*
 * 销售额统计-柱形图
 * @params{String} data year 年{2020}
 */
export function getDealPriceShape(data) {
  return request({
    url: '/statistical/salesstatisticscyl',
    method: 'get',
    params: data
  })
}

/*
 * 销售额统计-折图
 * @params{String} data month 月{2020-01}
 */
export function getDealPriceLine(data) {
  return request({
    url: '/statistical/salesstatisticsline',
    method: 'get',
    params: data
  })
}

// 订单排行
export function getOrder(data) {
  return request({
    url: '/statistical/getordergoodsnumlist',
    method: 'get',
    params: data
  })
}
